//
//  FWFileAnalyzer.h
//  FFmpegWrapper
//
//  Created by Scott on 7/3/09.
//  Copyright 2009 The Little App Factory. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "FWFileInformation.h"


@interface FWFileAnalyzer : NSObject {
	
	id						 delegate;
	NSURL					*ffmpegURL;
	NSTask					*task;
	NSFileHandle			*taskOutput;
	NSURL					*fileURL;
}

- (id)delegate;
- (void)setDelegate:(id)delegate;
- (id)initWithFFmpegURL:(NSURL *)ffmpegURL;
- (void)analyzeURL:(NSURL *)fileURL;

@end
